public class Vector2D  {

	private double x;  // coordenate x of the vector
	private double y;  // coordenate y of the vector
	
	public Vector2D() {
		x = 0;
		y = 0;
	}
	public Vector2D(double x, double y) {   
		this.x = x;
		this.y = y;
	}
	public Vector2D add(Vector2D other) {    
		Vector2D result = new Vector2D();
		result.x = x + other.x;
		result.y = y + other.y;
		return result;
	}
	public Vector2D subtract(Vector2D other) {
		Vector2D result = new Vector2D();
		result.x = x - other.x;
		result.y = y - other.y;
		return result;
	}
	public Vector2D multiply(double value) {
		Vector2D result = new Vector2D();
		result.x = x*value;
		result.y = y*value;
		return result;
	}
	public Vector2D unit_vector(){
	   Vector2D result = new Vector2D();
		double norm = Math.sqrt( (x*x) + (y*y) );
		result.x = x/norm;
		result.y = y/norm;
		return result;
	} 
	public double distance(Vector2D other){
		return ( Math.sqrt( ((x-other.x)*(x-other.x)) + ((y-other.y)*(y-other.y))) );
	}
	public String toString(){
		String s;
		s = x+","+y;
		return s;
	}
}